{% extends 'base.html.twig' %}
{% block title %}Customers{% endblock %}
{% block page %}Customers{% endblock %}
{% block body %}
    <div class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-primary">
                        <h4 class="card-title ">Customer</h4>
                        <p class="card-category">List of customers</p>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive table-striped">
                            <table class="table">
                                <thead class=" text-primary">
                                <th>ID</th>
                                <th>Name</th>
                                <th>Lastname</th>
                                <th>Phone</th>
                                <th>Email</th>
                                <th class="text-center">Actions</th>
                                </thead>
                                <tbody>
                                {% for customer in customers %}
                                    <tr>
                                        <td>{{ customer.id }}</td>
                                        <td>{{ customer.name }}</td>
                                        <td>{{ customer.lastName }} </td>
                                        <td>{{ customer.phone }}</td>
                                        <td>{{ customer.email }}</td>
                                        <td class="text-center">
                                            <a class="customer-edit" data-id="{{ customer.id }}" href="#" data-toggle="modal" data-target="#modal">
                                                {#                                            <a class="account-edit" href="{{ path('page_edit', {'id': page.id }) }}">#}
                                                <i class="material-icons">edit</i>
                                            </a>
                                            {#                                            <a class="page-delete"#}
                                            {#                                            <a class="customer-delete" href="{{ path('admin_customer_delete', {'id': customer.id }) }}"#}
                                            {#                                               onclick="return confirm('Are you sure you want to delete this customer?')">#}
                                            {#                                                <i class="material-icons">delete</i>#}
                                            </a>
                                        </td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>{% endblock %}
{% block javascripts %}
    <script type="text/javascript">
        $(function() {
            const $modal = $('#modal');
            const $modalBody = $modal.find('.modal-body');
            const $modalTitle = $modal.find('.modal-title');
            $modalTitle.html('Customer edit')
            $('.customer-edit').on('click', function() {
                event.preventDefault()
                const id = $(event.currentTarget).data('id')
                $.get('/admin/customer/'+id+'/edit')
                    .done((response) => {
                        $modalBody.html(response)
                        $modal.modal('show')
                    })
            })
        });
    </script>
{% endblock %}
